curl --request POST \
--url https://api-umbrella.io/api/services/payments/challenge-deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "0.10",
"currency": "EUR",
"description": "merchantId19887-65",
"firstName": "John",
"lastName": "Doe",
"piiToggle": 1,
"nameMatchLogic": "fuzzy"
}
'import requests
url = "https://api-umbrella.io/api/services/payments/challenge-deposit"
payload = {
"amount": "0.10",
"currency": "EUR",
"description": "merchantId19887-65",
"firstName": "John",
"lastName": "Doe",
"piiToggle": 1,
"nameMatchLogic": "fuzzy"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '0.10',
currency: 'EUR',
description: 'merchantId19887-65',
firstName: 'John',
lastName: 'Doe',
piiToggle: 1,
nameMatchLogic: 'fuzzy'
})
};
fetch('https://api-umbrella.io/api/services/payments/challenge-deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "e5c81c78-272b-4307-9197-3ace19109fd3",
"description": "merchantId19887-65",
"status": "OK",
"globalResult": {
"overall": "review",
"totalScore": 100
},
"nameMatchScore": 85,
"iban": "DE44500105175407324931",
"returnedFirstName": "John",
"returnedLastName": "Doe"
}{
"message": "Invalid request payload"
}{
"message": "Unauthorized request"
}Payment Challenge Deposit Service
Payment Service API Documentation
Endpoint
POST/payments/challenge-deposit
Swagger
Authorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
Small amount sent for verification.
^[0-9]+(\.[0-9]{1,2})?$"0.10"
Currency code.
3"EUR"
Mandatory, non-blank. Alphanumeric only; hyphens (-) allowed as separators. No spaces or other special characters.
^[A-Za-z0-9-]+$"merchantId19887-65"
First name for identity verification.
"John"
Last name for identity verification.
"Doe"
Determines if PII details should be returned.
0, 1 1
Name matching logic type.
exact, fuzzy "fuzzy"
Response
Successfully initiated challenge deposit.
The description sent in the request.
"merchantId19887-65"
Status of the challenge deposit.
OK, FAIL "OK"
Contains verification score and assessment result.
Show child attributes
Show child attributes
Score (0-100) indicating how well names matched.
0 <= x <= 10085
Unique identifier for the challenge deposit transaction.
"e5c81c78-272b-4307-9197-3ace19109fd3"
Verified IBAN.
"DE44500105175407324931"
First name returned from verification if available and piiToggle = 1.
"John"
Last name returned from verification if available and piiToggle = 1.
"Doe"